Zum Hauptinhalt springen
POST
/
files
/
v3
/
folders
Create folder
curl --request POST \
  --url https://api.hubapi.com/files/v3/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentFolderId": "<string>",
  "parentPath": "<string>"
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "parentFolderId": "<string>",
  "path": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Folder creation options

Object for creating a folder.

name
string
erforderlich

Desired name for the folder.

parentFolderId
string

FolderId of the parent of the created folder. If not specified, the folder will be created at the root level. parentFolderId and parentFolderPath cannot be set at the same time.

parentPath
string

Path of the parent of the created folder. If not specified the folder will be created at the root level. parentFolderPath and parentFolderId cannot be set at the same time.

Antwort

successful operation

archived
boolean
erforderlich

Marks whether the folder is deleted or not.

createdAt
string<date-time>
erforderlich

Timestamp of folder creation.

id
string
erforderlich

ID of the folder.

updatedAt
string<date-time>
erforderlich

Timestamp of the latest update to the folder.

archivedAt
string<date-time>

Timestamp of folder deletion.

name
string

Name of the folder.

parentFolderId
string

ID of the parent folder.

path
string

Path of the folder in the file manager.

Last modified on April 9, 2026